use crate::util::pack::pack_u16;

use super::Packet;

#[derive(Clone)]
pub struct PacketUserInfo {
    pub handle:String,
}
impl PacketUserInfo {
    pub fn new() -> Self
    {
        Self {
            handle:String::new(),
        }
    }
}
impl Packet for PacketUserInfo {
    type Data = Self;

    fn decode(_data:&Vec<u8>, _index:&mut usize) -> Result<Self::Data, ()>
    {
        Ok(Self::new())
    }
}

#[derive(Clone)]
pub struct PacketUserInfoResponse {
    pub status:u16,
    pub handle:String,
    pub is_online:bool,
}
impl PacketUserInfoResponse {
    pub fn new() -> Self
    {
        Self {
            status:0,
            handle:String::new(),
            is_online:false,
        }
    }
}
impl Packet for PacketUserInfoResponse {
    type Data = Self;

    fn encode(&self) -> Vec<u8>
    {
        [
            pack_u16(self.status as u16),
        ].concat()
    }
}
